Bug 1259885 - Failed to configure fence-agent to work with fence_ipmilan against Cisco UCS B200 M4 Machines.
Failed to configure fence-agent to work with fence_ipmilan against Cisco UCS ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
high Severity high
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 13:44 EDT by Omri Hochman
Modified: 2016-08-30 08:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-30 08:43:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omri Hochman 2015-09-03 13:44:09 EDT
Failed to configure fence-agent to work with fence_ipmilan against Cisco UCS B200 M4 Machines.
 
Environment: 
-------------
pcs-0.9.137-13.el7_1.3.x86_64
resource-agents-3.9.5-40.el7_1.4.x86_64
fence-agents-cisco-mds-4.0.11-13.el7_1.x86_64
instack-undercloud-2.1.2-23.el7ost.noarch
instack-0.0.7-1.el7ost.noarch

Description: 
-------------
We had two types of hardware for controllers on which we tried to configure fence agent, While we were able to configure the fence agent to work on the B200 M3 machines using fence_ipmilan,  we failed to that with the B200 M4 machine. 

2 X Controller Machine  B200 M3  --> worked well.  
1 X Controller Machine  B200 M4  --> failed 
 
The command worked properly with the M3 machines:  
--------------------------------------------------
pcs stonith create my-ipmilan-for-controller-1 fence_ipmilan pcmk_host_list=overcloud-controller-1 ipaddr=<IP_ADDR> login=<user> passwd=<password> lanplus=1 cipher=1 op monitor interval=60s

  
The result: 
------------
[root@overcloud-controller-0 ~]# pcs stonith
 my-ipmilan-for-controller-1	(stonith:fence_ipmilan):	Started 
 my-ipmilan-for-controller-2	(stonith:fence_ipmilan):	Started 
 my-ipmilan-for-controller-0	(stonith:fence_ipmilan):	Stopped
Comment 3 Omri Hochman 2015-09-03 13:57:05 EDT
As a workaround : 
------------------
we were able to use the fence_cisco_ucs instead of fence_ipmilan  

Using this command:  
pcs stonith create my-ipmilan-for-controller-0 fence_cisco_ucs pcmk_host_list=overcloud-controller-0 port="OSP-CONTROLLER-3" ipaddr=192.0.2.253 login=admin passwd=cisco123 ssl=1 ssl_insecure=1


Result:
-------
[root@overcloud-controller-0 ~]#  pcs stonith show 
 my-ipmilan-for-controller-1	(stonith:fence_ipmilan):	Started 
 my-ipmilan-for-controller-2	(stonith:fence_ipmilan):	Started 
 my-ipmilan-for-controller-0	(stonith:fence_cisco_ucs):	Started 


[root@overcloud-controller-0 ~]# rpm -qa | grep fence
fence-agents-cisco-mds-4.0.11-13.el7_1.x86_64
fence-agents-rsb-4.0.11-13.el7_1.x86_64
fence-agents-hpblade-4.0.11-13.el7_1.x86_64
fence-agents-scsi-4.0.11-13.el7_1.x86_64
fence-agents-eps-4.0.11-13.el7_1.x86_64
fence-agents-vmware-soap-4.0.11-13.el7_1.x86_64
fence-virt-0.3.2-1.el7.x86_64
fence-agents-compute-4.0.11-13.el7_1.x86_64
fence-agents-wti-4.0.11-13.el7_1.x86_64
fence-agents-drac5-4.0.11-13.el7_1.x86_64
fence-agents-bladecenter-4.0.11-13.el7_1.x86_64
fence-agents-cisco-ucs-4.0.11-13.el7_1.x86_64
fence-agents-kdump-4.0.11-13.el7_1.x86_64
fence-agents-apc-snmp-4.0.11-13.el7_1.x86_64
fence-agents-apc-4.0.11-13.el7_1.x86_64
fence-agents-eaton-snmp-4.0.11-13.el7_1.x86_64
fence-agents-ipdu-4.0.11-13.el7_1.x86_64
fence-agents-rhevm-4.0.11-13.el7_1.x86_64
fence-agents-brocade-4.0.11-13.el7_1.x86_64
fence-agents-ipmilan-4.0.11-13.el7_1.x86_64
fence-agents-common-4.0.11-13.el7_1.x86_64
fence-agents-ilo-ssh-4.0.11-13.el7_1.x86_64
fence-agents-ibmblade-4.0.11-13.el7_1.x86_64
fence-agents-ilo2-4.0.11-13.el7_1.x86_64
fence-agents-all-4.0.11-13.el7_1.x86_64
fence-agents-ifmib-4.0.11-13.el7_1.x86_64
fence-agents-ilo-mp-4.0.11-13.el7_1.x86_64
fence-agents-intelmodular-4.0.11-13.el7_1.x86_64
Comment 4 Omri Hochman 2015-09-03 14:04:46 EDT
Another note: when attempted to run manual commands with the M4 ipmi - it worked properly.
Comment 7 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 10 Fabio Massimo Di Nitto 2016-08-30 08:43:31 EDT
OSPd doesn´t support configuration of fencing yet and selection of the correct fencing mechanism is still up to the user.

Official documentation on access.redhat.com + KB have the correct info on which fence-agent to use for which device.

Note You need to log in before you can comment on or make changes to this bug.